Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Interface SVGDescriptor

All Known Implementing Classes:
  SVGClipDescriptor, SVGCompositeDescriptor, SVGFontDescriptor, SVGHintsDescriptor, SVGPaintDescriptor, SVGStrokeDescriptor, SVGTransformDescriptor

public interface SVGDescriptor

Defines the interface for a set of SVG attributes and related definitions.

See Also:
  `GraphicContext`

Method Summary
`java.util.Map` | `getAttributeMap(java.util.Map attrMap)`
`java.util.List` | `getDefinitionSet(java.util.List defSet)`

Method Detail

### getAttributeMap

    public java.util.Map getAttributeMap(java.util.Map attrMap)

  Parameters:
    `attrMap` - if not null, attribute name/value pairs for this descriptor should be written in this Map. Otherwise, a new Map will be created and attribute name/value pairs will be written into it.
  Returns:
    a map containing the SVG attributes needed by the descriptor.

### getDefinitionSet

    public java.util.List getDefinitionSet(java.util.List defSet)

  Parameters:
    `defSet` - if not null, definitions required to provide targets for the descriptor attribute values will be copied into defSet. If null, a new Set should be created and definitions copied into it. The set contains zero, one or more Elements.
  Returns:
    a set containing Elements that represent the definition of the descriptor's attribute values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.